org.eclipse.ease.ui.tools

## Class AbstractLaunchDelegate

- java.lang.Object
- - org.eclipse.ease.ui.tools.AbstractLaunchDelegate

All Implemented Interfaces:
  ILaunchConfigurationDelegate, ILaunchConfigurationDelegate2, ILaunchShortcut, ILaunchShortcut2

Direct Known Subclasses:
  EaseLaunchDelegate

    public abstract class AbstractLaunchDelegate
    extends java.lang.Object
    implements ILaunchShortcut, ILaunchShortcut2, ILaunchConfigurationDelegate, ILaunchConfigurationDelegate2

Quick launcher for EASE script files.

### Constructor Summary

Constructors
Constructor and Description
`AbstractLaunchDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `buildForLaunch(ILaunchConfiguration configuration, java.lang.String mode, IProgressMonitor monitor)`
`boolean` `finalLaunchCheck(ILaunchConfiguration configuration, java.lang.String mode, IProgressMonitor monitor)`
`IResource` `getLaunchableResource(IEditorPart editorpart)`
`IResource` `getLaunchableResource(ISelection selection)`
`ILaunchConfiguration[]` `getLaunchConfigurations(IEditorPart editorpart)`
`ILaunchConfiguration[]` `getLaunchConfigurations(ISelection selection)`
`void` `launch(IEditorPart editor, java.lang.String mode)`
`void` `launch(ISelection selection, java.lang.String mode)`
`boolean` `preLaunchCheck(ILaunchConfiguration configuration, java.lang.String mode, IProgressMonitor monitor)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.ILaunchConfigurationDelegate2

`getLaunch`

### Methods inherited from interface org.eclipse.debug.core.model.ILaunchConfigurationDelegate

`launch, showCommandLine`

### Constructor Detail

#### AbstractLaunchDelegate

    public AbstractLaunchDelegate()

### Method Detail

#### launch

    public final void launch(IEditorPart editor,
                             java.lang.String mode)

Specified by:
  `launch` in interface `ILaunchShortcut`

#### launch

    public final void launch(ISelection selection,
                             java.lang.String mode)

Specified by:
  `launch` in interface `ILaunchShortcut`

#### getLaunchableResource

    public final IResource getLaunchableResource(IEditorPart editorpart)

Specified by:
  `getLaunchableResource` in interface `ILaunchShortcut2`

#### getLaunchableResource

    public final IResource getLaunchableResource(ISelection selection)

Specified by:
  `getLaunchableResource` in interface `ILaunchShortcut2`

#### getLaunchConfigurations

    public final ILaunchConfiguration[] getLaunchConfigurations(IEditorPart editorpart)

Specified by:
  `getLaunchConfigurations` in interface `ILaunchShortcut2`

#### getLaunchConfigurations

    public final ILaunchConfiguration[] getLaunchConfigurations(ISelection selection)

Specified by:
  `getLaunchConfigurations` in interface `ILaunchShortcut2`

#### buildForLaunch

    public boolean buildForLaunch(ILaunchConfiguration configuration,
                                  java.lang.String mode,
                                  IProgressMonitor monitor)
                           throws CoreException

Specified by:
  `buildForLaunch` in interface `ILaunchConfigurationDelegate2`
Throws:
  `CoreException`

#### finalLaunchCheck

    public boolean finalLaunchCheck(ILaunchConfiguration configuration,
                                    java.lang.String mode,
                                    IProgressMonitor monitor)
                             throws CoreException

Specified by:
  `finalLaunchCheck` in interface `ILaunchConfigurationDelegate2`
Throws:
  `CoreException`

#### preLaunchCheck

    public boolean preLaunchCheck(ILaunchConfiguration configuration,
                                  java.lang.String mode,
                                  IProgressMonitor monitor)
                           throws CoreException

Specified by:
  `preLaunchCheck` in interface `ILaunchConfigurationDelegate2`
Throws:
  `CoreException`